Bug 1084258 - (CVE-2014-2708, CVE-2014-2709) CVE-2014-2708 CVE-2014-2709 cacti: command injection issues fixed in bug#0002405
CVE-2014-2708 CVE-2014-2709 cacti: command injection issues fixed in bug#0002405
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140330,repor...
: Security
Depends On: 1084259 1084260
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-03 23:58 EDT by Murray McAllister
Modified: 2015-01-04 17:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-08 18:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-04-03 23:58:10 EDT
Cacti bug#0002405 includes fixes for SQL injection and shell escaping (which could lead to arbitrary command execution). Fixes are available from:

http://svn.cacti.net/viewvc?view=rev&revision=7439

CVE-2014-2708 is for the SQL injection issues in graph_xport.php.

CVE-2014-2709 is for the shell escaping issues in lib/rrd.php

References:

http://seclists.org/oss-sec/2014/q2/15
Comment 1 Murray McAllister 2014-04-04 00:00:59 EDT
Created cacti tracking bugs for this issue:

Affects: fedora-all [bug 1084259]
Affects: epel-all [bug 1084260]
Comment 2 Fedora Update System 2014-04-17 02:00:14 EDT
cacti-0.8.8b-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2014-04-17 02:03:19 EDT
cacti-0.8.8b-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-05-08 18:00:39 EDT
cacti-0.8.8b-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-05-08 18:03:11 EDT
cacti-0.8.8b-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.